# Generated by Django 2.2.3 on 2021-01-13 22:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('models', '0028_auto_20210113_1949'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('webfact', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AvailabilityAddress',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('address', models.IntegerField()),
                ('street_location', models.IntegerField()),
                ('availability', models.IntegerField()),
            ],
            options={
                'db_table': 'public"."models_availability_view',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FutureAvailabilityAddress',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('address', models.IntegerField()),
                ('street_location', models.IntegerField()),
                ('future_availability', models.IntegerField()),
            ],
            options={
                'db_table': 'public"."models_futureavailability_view',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FactibilityFull',
            fields=[
            ],
            options={
                'verbose_name': 'Factibilidad',
                'verbose_name_plural': 'Factibilidades',
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('models.availability',),
        ),
        migrations.CreateModel(
            name='FactibilityIframeFull',
            fields=[
            ],
            options={
                'verbose_name': 'Factibilidad Iframe',
                'verbose_name_plural': 'Factibilidades Iframe',
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('models.availability',),
        ),
        migrations.CreateModel(
            name='HistoricalFactibilityIframeFull',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Node')),
            ],
            options={
                'verbose_name': 'historical Factibilidad Iframe',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalFactibilityFull',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Node')),
            ],
            options={
                'verbose_name': 'historical Factibilidad',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
